Cordova Commits from 2.8.0 -> 2.9.0

cordova-android
---
6aff54b Incrementing versions and updating code
24a0e89 Accidentally commented "build" out when running ./run --emulator. Whoops D:
e01678d Dealing with the retagging of cordova.js
2b6a683 CB-3902: Explicitly add market URIs to CordovaWebViewClient so this always works, not just sometimes
1f58d8e [CB-3625] [CB-3338] updated windows cli scripts and added version option
fb4527d Updating Javascript
a83bbca Set VERSION to 2.9.0rc1
431f333 Update JS snapshot to version 2.9.0rc1
c9b164b Removing bench from the README
54d32ad CB-3784: Nit-picking
0efd9fc [CB-3627] start-emulator now properly starts, waits for and unlocks an emulator, consumed by run as well.
c0a3957 CB-2391: False positive, this affects 4.2.2, not ICS.  Bug breaks before we get to this point. :(
9ac4b57 CB-2391: Fix for colons crashing the WebView on ICS, tested on Samsung Galaxy S2
6689827 Fixing the config.xml on tests to use the ActivityPlugin
86a24eb Updating the JS used in the tests
d2a7d18 Fixed bad comment, it's all dying at the same time
90f83db CB-3504: Fixing issue with the use of WebResourceResponse on pre-Honeycomb devices.
32d74f8 correct refs to various lib scripts in run.
53cc381 removing unused script anymore from create.
add1075 Proper modularization of bash scripts for [CB-3627], but not solved yet. wait_for_emulator does not work atm
e86d811 [CB-3626] fix to start-emulator: if no id is provided, should start the first emulator
5cff144 [CB-2406] Add support for binary data in FileWriter.write()
a021adb CB-3766: Javascript uses loadUrl, not loadUrlIntoView, which is only for documents
e2a090b Don't call loadUrlIntoView on the actvity
a70c853 Re-adding the Plugin.java shim for now. This will remain a 2.x-only feature
e52d4fc CB-3736: Cleaning up code so that this makes more sense. Variables are OK
3753e3f Trying to get DataResource reverted so that we don't have to worry about this blowing up while we're breaking things out.  DataResource should be on a branch until it's ready!
979d8e6 Revert "Added "DataResource" - allows many plugins to intercept a single request"
c5b37cc Revert "Changed all usages of FileHelper to use the new DataResource mechanism."
e3989bc Revert "DataRequest code cleaned up."
2f9c512 Revert "DataResource bugfix WebviewClient logs error for http urls."
43172cf Revert "CB-3496: Fixed streaming audio, this is pretty important for mobile spec"
e518eac Replace naive relative path in version script with proper one
c3b8b27 CB-3420: add hidden option to InAppBrowser
0dd4951 Forgot to update this so that it doesn't destroy someone's project, FAIL
bc52345 CB-3548: Throwing this one over the fence, but this change appears sane.  We should just return false.
c28a313 [CB-3569] Allow FileTransfer.upload to reference android_assets
c509c8e [CB-3563] Update references to DroidGap in code comments
fb89cef [CB-3563] Replace instances of DroidGap in log messages with more appropriate symbols
9ac9fd4 [CB-3563] Change default logging tag from DroidGap to CordovaActivity
dfb89df [CB-3561] Update documentation comments to match implementation
0e572ae [CB-3340] Add copying of the version script to bin/create
420cee4 [CB-3468] Add missing license headers found by RAT
403297d CB-3523: Fix NPE on app restart with outstanding callback
abba254 CB-3358: Remove one more reference to commons-codec
048107e CB-3384 Bugfix - Non null Mimetype is not required for WebResourceResponse
78efe2a CB-3358: Change Commons-codec:base64 to Android:Base64
8077091 Update JS snapshot to version 2.8.0rc1
cordova-ios
---
00e62aa Updated VERSION to 2.9.0
7790478 Updated js to 2.9.0
c2cda90 [CB-3530] Updated unit tests
fe5a9a5 [CB-3999] Video Capture ignores duration option
5aea4e1 Updated RELEASENOTES for 2.9.0rc1
61a8ba2 Updated CDVAvailability version to 2.9.0
f1caddf [CB-3530] PhoneGap app crashes on iOS with error "CDVWebViewDelegate: Navigation started when state=1" (for navigation to an anchor on the same page)
a10a3c5 Update JS snapshot to version 2.9.0rc1 (from re-tag)
9dc958b Set VERSION to 2.9.0rc1
d9d77c4 Update JS snapshot to version 2.9.0rc1
ccf5d88 [CB-3463] bin/create should copy cordova.js into the project's CordovaLib
c9958fa [CB-3619] ./cordova/run script does not always call ./cordova/build first
afe73a0 [CB-3743] Remove compatibility headers folder
7fdded8 [CB-3757] camera.getPicture from photolib fails on iOS
fa55298 [CB-3833] Deprecation plugin tag upgrade step has malformed xml
27914e0 [CB-3768] Build to phone failing on Xcode 5 DP1 (OS X Mavericks)
3b178aa [CB-2406] Add ArrayBuffer support to FileWriter.write
835abd8 Updated cordova.js to 2.8.0 final
fde980a CB-3420: add hidden option to InAppBrowser
f81d5b2 removing "build" from gitignore as one of our cli scripts is named build :)
0561c6b Added/renamed CDVExifTests to project.
2ad214a Updated RELEASENOTES for 2.8.0 final
e7fbca9 [CB-3530] PhoneGap app crashes on iOS with error "CDVWebViewDelegate: Navigation started when state=1"
dad3425 [CB-3031] Fix for emulate script when project name has a space
6caaa62 [CB-2200] Remove device.name (deprecated)
e18d69a [CB-3528] Update Plugin Upgrade Guide for iOS
ec682c5 [CB-3490] Update CordovaLib iOS Deployment Target in Project Setting to 5.0
a49be10 Re-apply [CB-3507] (was clobbered)
4670246 [CB-3458] remove all_load dependency. Use force load instead
c6f22ff [CB-3507] Wrong Linker Flag for project template
3a887de [CB-3526] typo in cordova/lib/install-emulator - does not check for ios-sim
ab85edc [CB-3524] cordova/emulate and cordova/run silently fails when ios-sim is not installed
951b6cb [CB-3469] Adding missing license found by RAT
7bc06d5 [CB-3514] Remove partially-downloaded files when FileTransfer fails
bd99537 Update RELEASENOTES for 2.8.0
8b18210 [CB-3469] Add a version macro for 2.8.0.
4c63589 [CB-2840] Nil checks to avoid crash when network disconnected
cordova-blackberry
---
0b0b170 [CB-4007] updated VERSION and cordova js to 2.9.0
58db1ea [CB-3951] renamed debug token bar constant string, removing illegal character
132d48f [CB-3914] updated bb platform javascript
041e448 [CB-3401] renamed blackberry root folder to bbos
4679385 Set VERSION to 2.9.0rc1
ad8ac3d [CB-3830] Removed dependency on BBDNK [Packaging, deploying, signing, debugTokens]
d7b32c9 [CB-3830] Fixed issue detecting java on Path in Windows
df6228e [CB-3830] Check for java on path
2684836 [CB-3830] Update Windows create script to look at check_req error code
e95b34c [CB-3799] Modified scripts to store debugtoken as %HOME%/.cordova/blackberry10-debugtoken.bar - Includes modifications to util scripts for reading from properties   file
06acc70 [CB-3438] Add media plugin to BB10
6fd7323 [CB-3796] Call check_reqs in create script before creating project
7b65004 [CB-3795] Modified check_req to ensure NDK tools are on path + removed BBNDK checks
8e562c2 removed run script dependency or project.json
28924ec [CB-3797] rename of targets.json to blackberry10.json
49e902c [CB-3433] Added Q5 to Device API
1c9438f [CB-3454] Refactored battery plugin to use webkitBattery + fire event on add
773001d [CB-3604] build and run project level scripts updated to use targets.json
25bad0d minor fix to plugin syntax, list to ls
b992822 [CB-3604] target and create script mods for repo level target script
8060b52 [CB-3604] removed project level target scripts
554bd50 [CB-3604] target script changed from project level to repo level script
ad135dd [CB-3518] Fix BB10 unit test runner for node > 0.9.9
ee54174 [CB-3589] 2.8.0 version tagging for BBOS and playbook
3e3c4c3 [CB-3589] updated cordova js and VERSION, tagging 2.8.0
8882184 [CB-2914][CB-2975][CB-2988] stubs for currently unimplemented scripts
fdd59fe remove .jshint config since ES5 setting is now default
5e4222f [CB-2999] supported on osx, with no list-emulator fallback. Support for windows/linux currently stubbed in
5754440 [CB-3613] Format paths passed to childProcess.exec for windows
b093a0c [CB-3435] Fixes a problem where the options in the run command were not escaped properly
130461b [CB-3435] Escape paths to prevent issues with spaces
7dc8b2e [CB-2924] logging is possible to support, stubbing in script for the time being
e9eef4c [CB-2952] stubbed in as not handled. BB uses vmware images which could be placed anywhere in the filesystem, and there is no absolute way of ascertaining that a given vm is a bb10 vm
6c397aa [CB-3497] Fix create script for Linux/OSX
373edca [CB-3380] Updates scripts to work better with Node dependency - check_reqs now completes preliminary work in bash/batch ensuring   completion without node installed - create now calls npm install first
e4e444d [CB-3497] create script now bootstraps npm dependency install, required to be run as sudo and prompts for system password
8968d01 [CB-3381] Output usage info on error for all scripts
8b3a57a [CB-3442] lost commit, fix for bb10
458cbe1 [CB-3473] updated version to 2.8.0rc1
b03bc27 [CB-3473] updated helloworld and js
1705684 [CB-3473] updated cordova.js
e011914 [CB-3473] updated version, unwound dev label which causes problems with upgrade script
ee49489 [CB-3473] update hello world
c5f1f43 [CB-3442] cordova-ver.js to cordova.js
abc1914 Escape double quotes in PIM lib
cordova-windows
---
47fe25f update to 2.9.0
de22aea Set VERSION to 2.9.0rc1 (via coho)
6dda3d5 Update JS snapshot to version 2.9.0rc1 (via coho)
64ea55e Update version to 2.9.0rc1
a2800bb update cordova.js
8833849 test create script
be41514 removed tests, use mobile spec if you want to test
05ef031 removed everything that is not library code or template
9f95b8e build.js runs ps1 to install
11f134e install the app when building
25ec028 adding back the temp key, nothing works without it, requires more research
0bb8933 remove user file
93cbfd5 added getPackageFamilyName utility function
376145b deleted solution, simplified proj
0721878 prints success, removed file
65ffdf6 CordovaDeploy for Windows 8 - WIP
ab284ef fixed typo, added template file
6d5e43e added template replacable values
8a28624 Builds Windows 8 apps
a3ee95c create removes user files, clean does not remove user files
6f80793 [CB-3338] create script
ecded62 add back gitignore for deeper bin
c5f587c removed bin from gitignore
6aa8ef6 images become part of the template, test project uses new PLAT version and cordova-incl.js
4ea376d wip CLI for Windows8, [CB-3338]
63e87ce pulled in 2.8 fork changes but reverted version files
cordova-wp7
---
347b9f4 [CB-4009] Cordova 2.9.0
71b6add Update JS snapshot to version 2.9.0rc1 (via coho)
81d2975 updating cordovajs with xhr patch for windows phone
7d9a6b9 re-built cordova..js for 2.9.0rc1
ca50cc3 Cordova Version 2.9.0rc1
0640f63 Set VERSION to 2.9.0rc1
b497a26 Update JS snapshot to version 2.9.0rc1
2c477f4 Missed a function there ... added it to Audio Player and Recorder.
2eb31bb Broke AudioFormatsHelper back into the 2 classes that use it to avoid plugin dependency
6777eed Moved some stuff around the proj, for simplicity with plugins
fe2026e Missed a function there ... added it to Audio Player and Recorder.
89bc040 Broke AudioFormatsHelper back into the 2 classes that use it to avoid plugin dependency
b32ecd1 Applied CB-3522 from WP8 ( identical issue present on WP7 )
837f7cc fixed up deploy tooling to work with new cli run/emulate command
97cc4d7 Bumped version to 2.8.0
46330c1 fixed spelling error
5cddc2f [CB-3529] moved excess cleaning to create script
6877492 Allow app names with spaces
00e1297 Removed example project
f421c20 plugin becomes feature in default template config.xml
2690582 plugin becomes feature in default template config.xml
a997009 fixed up deploy tooling to work with new cli run/emulate command
011d4b8 Bumped version to 2.8.0
035eccd fixed spelling error
163a4f9 [CB-3529] moved excess cleaning to create script
d4ca7f6 Allow app names with spaces
7835028 Removed example project
8d0ae97 Fixed ambiguous build error
03eb9b7 [CB-3495] clean project after creating
997b2a7 Version 2.8.0rc1 prep
3464816 Set VERSION to 2.8.0rc1
159a6cc distribution tooling update
27a573c Update JS snapshot to version 2.8.0rc1
cordova-wp8
---
770951b updated cordova.js
1c5804b update assembly info for 2.9.0
c46cd67 update version numbers
35c3eff Removed version from cordova.js error message
804b3c8 Buttons were disabled on WP7
fcec07b remove overly verbose log messages
99c41a3 Revert "update js for 2.9.0rc1"
dce565e update branch version
2ba52b2 update js for 2.9.0rc1
d9e0b3f CLI Script fixes
7d3b04a Fixed solution/project renaming issue
1d6a69c null check for player
4e05ba9 updated readme to include info about WP7+WP8 combination
9461819 createTemplate scripts install to root template folder
99747fa Common plugin files for WP7+8 using preprocessor + defines
2274413 create scripts working for wp7+8
8310bce allow some bin folders
1414bce version number for vstemplates stays at 0.0.0 in master branch
8ffc8b1 WP7 project #defines WP7;
951dc47 keep master VERSION at 0.0.0
61570af resolve merge conflict
d4f359a renamed common-items to just common
765c815 moved plugins to common
129c0bd all your templates are belong to us
22118ac moved all common app stuff to own folder, template builder copies it over
a2476e7 Version file had a newline
744e685 Set VERSION to 2.9.0rc1
dec32ea plugin code becomes common code
df40aaf script cleanup
57b876f update build scripts for WP8
6c3badc Oops, misplaced a \
43a181d remove unused vars
3d073fb some cleanup, formatting
3503e45 Set VERSION to 2.9.0rc1
46ea0a4 Update JS snapshot to version 2.9.0rc1
340bc62 builds wp7 template with createTemplate script
915604d more template building wip
6f93795 createTemplates for WP7
93c2408 rename projects and solutions
1ffdb16 Consolidate step 2
55c68f4 Consolidation step 1
9b7d2f3 ProductID needs to be unique for every created project
688bbd3 plugin becomes feature in the default template
13717c3 master branch will maintain a VERSION of 0.0.0
7d5134b [CB-3649] Update and add create instructions for WP8 README
bf4b3ce remove cruft
1245640 Fixed Benn's spilling air
cef4e79 [CB-3495] clean project after creating
de0b1ee Removed cordova js building from dist script
fe79571 Update JS snapshot to version 2.8.0rc1
cordova-osx
---
80ee89d Updated VERSION to 2.9.0
a308c2f Updated js to 2.9.0
8dd8c7b Updated RELEASENOTES for 2.9.0rc1
65cc099 Added missing licenses after running Apache RAT
97c0ff8 Updated CDVAvailability version to 2.9.0
587ddbe Updated VERSION to 2.9.0rc1
cb223f5 Updated JS snapshot to 2.9.0rc1
80da167 Update JS snapshot to version 2.9.0rc1
f1b1183 [CB-3463] bin/create should copy cordova.js into the project's CordovaLib
d35fde0 [CB-3833] Deprecation plugin tag upgrade step has malformed xml
726053b Updated cordova.js to 2.8.0 final
f7e304e Updated RELEASENOTES for 2.8.0
353311b Changed VERSION in master to 'dev'
65eef03 Updated CDVAvailability.h version to 2.8.0
c06d41f [CB-3171] Add deprecation notice for use of <plugin> in config.xml in OSX
2b58823 [CB-2200] Remove deprecated device.name field.
cordova-docs
---
9d15299 Version 2.9.0
0f8d134 [CB-3999] remove note about duration not being supported on ios
f204d7a [CB-3744] InAppBrowser docs errors / cleanup
698bb9d [CB-3744] InAppBrowser docs errors / cleanup
f79915d Add some methods to InAppBrowser's ToC
78a4445 Updated WP7+WP8 instructions for new location of command-line create commands
02a5fc8 Revert "added info for new WP8+WP7 combined repos"
5666b80 added info for new WP8+WP7 combined repos
adabc73 [CB-3366] adjusted for new plugin spec in config.xml
2a329eb [CB-3920] iOS 2.8 to 2.9 upgrade guide
a556a4d [CB-3921] upgrade guide for 2.8.0 to 2.9.0
19850f6 [CB-3922] Upgrade guide for wp7/wp8
fda1c49 [CB-3849] Expose new CLI guide on the homepage.
033f7ff [CB-3816] Fix paths to screenshots in CLI guide.
7845ed0 [CB-3926] Update references from x.y.z to x.x.x.
8352c81 [CB-3905] Update Getting Started home page to focus on CLI.
0a39238 Version 2.9.0rc1
3fbe393 [CB-3923] 2.8.0 to 2.9.0 upgrade guide, fixed version string in previous upgrade guide
06d0343 Set VERSION to 2.9.0rc1
fa1959c [CB-3753] Upgrade Guide is missing instructions to update Build Settings
a7a9568 [CB-3752] Upgrade Guide is missing instruction to add 2 frameworks
47135e1 [CB-3816] Add first draft of the Cordova-CLI guide.
840d417 [CB-3811 CB-3815] Add overview guide and compatibility table.
3d1bddc CB-3787: Documenting the fact that we use Intents.  Also, it's spelt QUIRK.
fa0cebb [CB-3779] added missing upgrade guides from 2.6 to edge, added 2.6 to 2.7 to 2.7, was in edge
b0e2afe [CB-3772] Fix invalid characters in BB10 getting started guide
db36946 Remove overview/support.html because there is a markdown version.
3e06f38 Document FileWriter binary support
d0c89ff Remove overview/support.html
39353f4 Update documentation with standard STYLESHEET guide.
ef7308b removed 2.8.0rc1 code due to issue
66bcd10 updated version to 2.8.0
fa538bb updated updating guide for WP7/8 and added a new one for Windows 8
a08467d added info on Windows 8 project creation from the command line.
90fc11d reverted rakefile
34fd184 Do this manually, forgot to update the upgrade script in time
3439ed3 [BlackBerry10] Reverting change to getting started now that create auto runs npm install
35fb17d [BlackBerry10] Update getting started for installing node dependencies
ffbd0ce [CB-3538] 2.7 to 2.8 upgrade guide for BB10 and playbook/os. Fixes link to wrong section in 2.6 guide
aa5c273 [CB-3558] adds full bb upgrade guides to edge
d358abe [CB-3570] Fixed title so it appears in the parent index.
87acbba [CB-3559] adding 2.6.0 upgrade guide for blackberry
303c666 added version 2.8.0rc1
f0ac0f1 [CB-3555] [BlackBerry10] Update getting started guide
1e66e6c Added 2.8.0 upgrade step
f98807e sanitize code & trim xtra Cordova refs
0c0ab55 "iPhone" => "iOS" when referenced as platform
29585ce [CB-2332] Document FileTransferError.body
5dc7ea2 [CB-3527] Update Upgrading Guide for 2.7.0 -> 2.8.0 for iOS
cf1dce9 incorporate feedback on tech queries
fbc5e1d minor corrections
5f4e3d9 feedback from 1st round of queries
efd1aa0 storage
44d1cb2 splashcreen
03ce2ca notifications
6e77968 amidst notification
45f896a thru media
4977836 thru inappbrowser
f4bf442 glob API
9dcee9b amidst globalization api
e2d7868 amidst globalization api
d9648d0 edits mostly in globalization
80d6aea to end of geoloc
f43710d up to directoryentry
0a03c5a to start of file api
909bb28 edits up to pause event
6899777 edits up to menu button event
9048602 incremental edits
bfc9025 removed links to blank upgrading pages
918cf22 removed links to empty pages
3986e79 various inline formatting
85730c3 submenus
d0b7494 more copy edits
958f8d2 numerous nonlinear global edits
7cc8809 collapse whitespace
726c963 many copy edits; nonlinear search/destroy edits; needs a more controlled pass
b151e34 more stubs
d33b887 stub
1cf6a8c add stubs
cordova-mobile-spec
---
4cb28c7 Updating version for 2.9.0 final
b6a7389 Set VERSION to 2.9.0rc1
e31b38e Skip tests properly on old Android versions
31aae40 [CB-3789] Remove device.name from mobile-spec (removed in 2.8)
cf3e6ac [CB-2406] Add ArrayBuffer and Blob FileWriter tests
579475e Provide a test case for CB-3522 which is broken on WP8
100b954 CB-3420: add hidden option to InAppBrowser
038efb5 [CB-3551] Correct boolean opts for camera tests
d9bf705 [CB-2200] Remove test dependency on deprecated device.name
db9df63 Add missing license headers found by RAT
e2bd12a [CB-2734] added PLAT support for WP7, WP8, Windows8 and allow Windows8 to createElement include cordovaPath.  Some minor refactor to remove if/else ladder and ease future platform addition.
4a6749b Revert "changed document.write to use document.createElement('script')"
1435299 [CB-3502] update abort filetransfer.spec.9 to pass
512232a Added beep.wav for iOS navigator.notification.beep test
54ed08e [CB-2789] Updating mobile-spec capture API tests to match code
cordova-js
---
83dc4bd Updating version file
d2ee43f Fixing grunt file with Jarrod's help
1777d2e [CB-3834] Missing double quotes in iOS deprecation notice
273e0a3 [all] CB-3960 Convert Jakefile -> Gruntfile.js
002f33d moved plugin loader script injection to a function so it can also be called when xhr fails just because the json file is not present.
e2020c3 Combine XHR + script injection technqieues to load the plugins list (either .json or .js file).
3d85be0 more robust error handling.
ce87a15 Testing non-xhr loader with Fil
11df4b7 Set VERSION to 2.9.0rc1
3068eff [CB-3438] [BlackBerry10] Remove Media from exec manager (it is now a plugin)
f532b84 [CB-2406] Guard against lack of Blob/ArrayBuffer support in Android pre-3.0
919f819 [CB-3739][Tizen][5tizenSDk 2.1 Nectarine] Globalization
adb0205 [CB-3739][Tizen][Tizen SDK 2.1 Nectarine] - splashscreen
9c6c637 [CB-2406] Add FileWriter.write(blob|arrayBuffer) support
62c5786 [Tizen] - fix a typo, NetworkStatus.js
7ac3024 [Tizen][Tizen SDK, 2.1 - Nectarine] - Device.js, NetworkStatus.js
421aff8 CB-3420: add hidden option to InAppBrowser
8a84454 [Tizen][Tizen 2.1 - Nectarine] - Device.js
523d910 [TIZEN][SDK 2.1 - NECTARINE]
dcbd189 CB-3420: add hidden option to InAppBrowser
cordova-app-hello-world
---
64da512 Incrementing version
d76ac85 Set VERSION to 2.9.0rc1
cordova-cli
---
87db44d 2.9.0
86504f0 npm version 2.9.0. updated tag to use for libs to 2.9.0
2c4e668 fix CB378 - adding support for non-semver 2 digit versions of xcodebuild, eg 5.0
debf54d Added "bugs" entry to package.json, so issue link shows up on npmjs.org.
d9241b0 [CB-3737] Parser specs reviewed, not touch filesystem anymore. Super fast execution. Yay.
9fb8646 Further work on [CB-3737]. ios parser specs should be in order.
1110ed9 npm version @ 2.9.0rc1. Stock cordova libs now pull in 2.9.0rc1 tag.
8170738 Fix for [CB-3836]. Clarified BB10 requirements and updated blackberry min reqs check.
761159f 2.8.25. Fixes [CB-3846]: make sure to lazy load libraries whenever prepare is called, as well as platform. Added a helper lazy_load.based_on_config method that looks into .cordova/config.json and lazy loads appropriate stock or custom libraries.
d8141ec 2.8.24. Fixes [CB-3943] by bumping up plugman required version.
d3ead40 Version 2.8.23
a6e1947 [CB-3939] Fix create to not replace existing config.xml.
49c27f2 2.8.22. Plugman dependency bumped to 0.7.13.
3ddfac9 2.8.21. ".svn" folders should not be counted as plugins.
f15ad65 Updated VERSION to 2.9.0rc1
f53f6ea 2.8.20. [CB-3929] Fixed data object passed into module-level hooks. Also added "paths" property to data object that prepare sends to the module-level hooks
eb6cbf9 [CB-3737] More work towards fixing up the parser specs. BlackBerry one is done.
8cd7d1c [CB-3794] Clarified help documentation.
2f12108 Fixed up some tests.
28c6fb4 remove plugins.json on removal of a platform. fixed ref to parser in add-existing-plugins-to-new-platform-add.
da4340c Fix for plugins_dir reference!
c6506f5 [CB-3755] added app versioning support for windows phone
8380cc2 Reference err fix.
c77ec09 tweaks to README
b09847a npm version 2.8.19. Fixes [CB-3814] use 2.8.1 for android. Refactored to allow per-platform-library versioning.
9d28a67 npm version 2.8.18. Fixes [CB-3812].
1bfd00c finished up android parser specs
9758d9f [CB-3812] Platform parsers nwo support custom directory locations. Added helper "has_custom_path" to config module.
d2392da use symlink instead of copying. Partial fix for [CB-3812]
f829e63 [CB-3763] config.xml version attrib now interpolated into blackberry projects.
a5018ee npm version 2.8.17
cda104f [CB-3791] Provide correct error message is plugin/platform add/rm is called with no targets
c56c0b9 [CB-3793] `cordova help` produced no output. also disabled wp7 parser specs atm
1546bf4 cheating on the last bit of specs: just disablign them for now.
c86c7f8 done with android parser specs
c04ca9d most of the way with android parser specs, fix in platform
0bfcb09 cleaned up plugins and fixed specs
7847907 run specs
20d8b8a tweaked shell-out commands to have access to callback for firing an error. fixed up emulate specs.
4b8118c compile specs
4ddae0c build specs.
f285715 fixed up platform specs. also platform add now calls a prepare for that platform.
85be90a updated prepare specs, added a few more.
bed24d1 updates to plugin_parser tests
74353b8 path refs fixes in serve specs. still disabled.
090377b updates to hooker tests.
4b310a7 finished updates to config_parser and util specs
f7d66bb fixing platform add with new lazy load
9828b9c updating part of the config_parser specs
d21c223 redid create specs. config_parser now available on util module, for easier spying/testing.
de01ace fixed create with new lazy loading. added back in config.xml template until CB-3771 is solved.
79f1d9a start of test refactor, lots of work left here still.
2d19934 removed vendored-in www template
72c0782 added ability to specify custom locations for libraries. added before + after_library_download, and progress event for lib downloads via library_download
a42ee2e axed tar.gz in favour of isaacs tar module. first pass the .gz into zlib, then the .tar into tar, and stuff works out.
944c2e4 first pass at lazy loading
67fa7eb start of lazy loading: axe all vendored-in libs
6fa5e8b Bumped plugman version to 0.7.11
f56117c Updating wp parsers to explicitly list www content in .csproj
80cb25d 2.8.15. Fix for cli shim attaching to results event.
04648ad [CB-3755] Update platform version from config.xml
5011b0c 2.8.14. fixed `serve` command.
d30ffea better handling of stack traces in uncaught exceptions in cli shim. if verbose mode is on, dump out full stack trace, otherwise just show the error.
1ee6a36 npm version 2.8.13. [CB-3462] fixed issue with build command hooks/callback not firing appropriately. refactored out build into own file. cleaned up cli-level tests.
da2fab0 npm version 2.8.12. Updated cordova-ios library to 2.8.0 tag.
f23c68b npm version 2.8.11. [CB-3460] Serializing event hooks now fixed.
ce0fd78 start of serializing events/hooks
74171ce fixed wp deploy tooling to work with new run/emulate command
b445b87 npm version 2.8.10. [CB-3624] Re-added support for BB10.
437af20 updated SDK locations and minimum setup in README
fb849dd Re-enabled BB10 platform support and updated bb10 lib to cordova 2.8.0 tag.
6dd7ac5 updated wp7 + wp8 to the 2.8.0 tag
d4aa558 npm version 2.8.9. [CB-3461] Exposing parser modules to the platform command
de5a9fc npm version 2.8.8. Should resolve [CB-3614]. Updated bundled android lib to 2.8.0 tag.
6d33813 run and emulate commands now call into the ./cordova/run command with --debug flag always, and either --device or --emulator flags depending on cli command invoked.
4c3680c 2.8.7. updated emulate + run commands to use proper flags and whatnot.
a817a29 npm version 2.8.6. [CB-3614] Fix in bootstrap / post-install script for detecting when bootstrap is complete. Giant sudo notification warning should now show up.
9d62a81 npm version 2.8.5. [CB-3612] added run command. Cleaned up some tests ,removed some duplicate specs, added run specs. Updated help documentation. Updated commands invoked by cordova-cli (compile->./cordova/build, emulate->./cordova/emulate)
ccecc13 Added a few prepare specs regarding plugman integration.
50858af npm version 2.8.4
cff9c16 [CB-2452] hooked verbosity flag into execution of shell commands as well.
bddae62 updated instrucitons on how to use verbose mode from CL, bumped to npm version 2.8.3
4a8e13b [CB-2452] added a verbosity flag (-d or --verbose) using event emitters.
22d175e added another spec for listing multiple plugins
796ad93 consolidated paltform-specific references to platforms.js
dfd7980 updating cordova-android and cordova-ios libs to 2.8.0rc1
0c6c190 [CB-3568] Added min node requirement of 0.9.9 to avoid issues with `tmpdir`. npm version @ 2.8.2 now.
6013aad npm v 2.8.1. adding missing build script and updating scripts from 2.8.0rc1.
f77fe9b Patched wp7 plugin support and plugman integration
510fae5 update plugman dependency
b880144 cordova prepare now calls into plugman to ensure existing plugins have their config file changes propagated.
e0f5477 no longer need to call plugman.remove, this is handled by uninstall.
b626944 updating to consume plugman 0.7.8
99a9ce5 removed cordova-<ver>.js from wp spec tests
1309777 updated wp7 + wp8 to 2.8.x branch
aff149d Fixed up + updated support for windows phone
026703a Removed executable attribute from cordova.js.
721e357 Updating calls to plugman after a refactoring there
ac5ebdd fixed windows + windows phone support